using System.Collections;
using Microsoft.Xna.Framework.Graphics;

namespace EVE.EVELights
{
    public class EVELightManager
    {
        private static Hashtable myLights = new Hashtable();
        private static EVELight activeLight;

        public static EVELight ActiveLight { get { return activeLight; } }

        public static void AddLight(EVELight newlight, string lightLabel)
        {
            if (!myLights.ContainsKey(lightLabel))
                myLights.Add(lightLabel, newlight);
        }

        public static void SetActiveLight(string lightLabel)
        {
            if (myLights.ContainsKey(lightLabel))
                activeLight = myLights[lightLabel] as EVELight;
        }
    }
}